Authorize Rupay Card Transaction API

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Authorize Rupay Card Transaction API is used to authorize the transaction where Rupay card is used.

Productionhttps://pginstance/saleservice/api/v1/authorize
Testhttps://areionsbi.pc.enstage-sas.com/saleservice/api/v1/authorize
Sample request
curl -X POST https://areionsbi.pc.enstage-sas.com/saleservice/api/v1/authorize \
-H "Content-Type: application/json" \
-d '{
  "header": {
    "version": "1.0.0.0",
    "pgInstanceId":"72702415",
    "x-api-key": "AF165FBD-4E85-4c66-BEB1C54DC16CD48B"
  },
  "body": {
     "pgInstanceId":"72702415",
     "merchantId":"12345678",
     "merchantRefernceNo":"dafa34",
     "pgTransactionId":"1232324df"
  }
}'
Response parameters
Field Name M/O/C Type & Size Description Example

transactionId

M

N(1-8)

PG Sale Id

860

status

M

N(5)

Transaction Status

50020 = success. For the complete list of transaction status codes, refer to Transaction Status Codes.

pgErrorCode

M

N(1-4)

Error Code

0 = No Error. For the complete list of error codes, refer to PG Error Codes.

pgErrorDetail

C

AN(0-

(1024)

Description for the error code.

No Error. For the complete list of error codes with description, refer to PG Error Codes .

approvalCode

C

N(6)

Approval Code of Transaction

560252

rrn

O

N(15)

RRN No for reference

104013006601

Sample response
{
    "approvalCode": "133051",
    "ext10": "Y",
    "rupayTransactionId": "100122024103000000000000430451",
    "transactionId": 26443014,
    "rrn": "430413658649",
    "creditDebitCardFlag": "D",
    "pgErrorDetail": "No Error",
    "merchantReferenceNo": "PayU02NALTID43",
    "pgErrorCode": 0,
    "ext9": null,
    "ext8": null,
    "ext7": null,
    "ext6": null,
    "ext5": null,
    "ext4": null,
    "ext3": null,
    "orderDesc": "Five Burgers",
    "ext2": "345DF45",
    "status": 50020,
    "ext1": "SDFSDF45DF"
}
Body Params
integer
required

This field must contain the PG Merchant ID.

integer
required

This field must contain the PG Transaction ID.

string
required

This field must contain the merchant reference number.

string

This field must contain the Alt ID Pan Number, This field is mandatory if purposeOfAuthentication was sent as “ALT Id Transaction” in initiate or generateOtp call.

string

This field must contain the Alt ID Expiry, Mandatory if purposeOfAuthentication was sent as “ALT Id Transaction” in initiate or generateOtp call.

string

This field must contain the Alt ID Tavv, Mandatory if purposeOfAuthentication was sent as “ALT Id Transaction” in initiate or generateOtp call.

Headers
string
required

This parameter must contain the API key provided by Wibmo.

integer
required

This field must contain the PG Sale ID.

Response
200
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!